:root{
  --primary:#123458;
  --primary-light:#bfdcf3;
  --accent2:#d4af37;
  --muted:#f3f5f6;
  --text:#15446b;
  --container:1100px;
  --max-width:1100px;
  --card-radius:12px;
  --gap:24px;
  --font-sans: "Montserrat", sans-serif;
  --font-serif: "lola", serif;
  --font-extra-light: 150;
  --font-light: 300;
  --font-medium: 400;
  --font-strong: 500;
  --font-bold: 600;
  --font-heavy: 800;
  --box-shadow: 0 2px 6px rgba(7,54,116,0.04);
  --mobile: 576px;
  --tablet: 768px;
  --dekstop: 1200px;
}

.page-banner {
  background-color: var(--primary);
  position: relative;
  z-index: 0;
  margin: 0;

  h1, p {
    color: var(--muted);
    padding: 0;
    margin: 0;
    text-align: center;
  }
}
/* fonts */

.text-center {
  text-align: center;
}

button {
  text-align: center;
}

#logo-text h2 {
  font-family: "Montserrat", sans-serif;
  font-weight: var(--font-extra-light);
    a {
    text-decoration: none;
    color: inherit;
  }
}

h1 {
  font-weight: var(--font-strong);
  font-size: 2.25rem;
  font-family: var(--font-sans);
}

@media (min-width: 768px) {
  h1 {
    font-size: 3rem;
  }
}


h2 {
  font-weight: var(--font-bold);
  font-size: 1.75rem;
  font-family: "lora", serif;
}

@media (min-width: 768px) {
  h2 { font-size: 2.25rem; }
}

h3 {
  font-weight: var(--font-medium);
  font-size: 1.15rem;
}

@media (min-width: 768px) {
  h3 { font-size: 1.5rem; }
}

*{box-sizing:border-box}
body{
  margin:0;
  font-family: var(--font-sans);
  font-optical-sizing: auto;
  font-weight: var(--font-medium);
  font-size: 1em;
  color:var(--text);
  line-height:1.5;
  -webkit-font-smoothing:antialiased;
}

@media (min-width: 768px) {
  body { font-size: 1.15em; }
}

/* buttons */

button{
  margin: 12px;
  padding: .75rem 1rem;
  font-family: var(--font-sans);
  font-size: var(--font-medium);
  background-color: var(--primary);
  color: var(--muted);
  border-radius: 12px;
  border-color: var(--primary);
  transition: .15s;

}

.button-gold {
  color: var(--primary);
  background-color: var(--accent2);
}

button:hover{
  background-color:var(--accent2);
  border-style:solid;
  border-color: var(--primary);
  color: var(--primary);
  cursor: pointer;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.button-gold:hover {
background-color: var(--primary);
color: var(--primary-light);
border-color: var(--accent2);
}

button:active {
  box-shadow: 0 2.5px #666;
  transform: translateY(4px);
}

.breadcrumb {
  color: var(--primary-light);
  font-size: smaller;
  text-align: center;
  a {
    color: var(--accent2);
  }
}

.container{
  width: 100%;
  margin:0 0 4rem 0;
  padding:4rem 5vw;
}

.container-narrow {
  padding: 1rem 5vw;
}

@media (min-width: 768px) {
.container{
  width: 100%;
  margin:0 0 4rem 0;
  padding:4rem 10vw;
}

.container-narrow {
  padding: 1rem 10vw;
}
}

@media (min-width: 992px) {
  .container{
  width: 100%;
  margin:0 0 4rem 0;
  padding:4rem 15vw;
}

.container-narrow {
  padding: 1rem 20vw;
  margin: 0;
}
}

.cta-section {
  background-color: var(--primary);
  color: var(--primary-light);
  margin: 0;
}

.no-margin {
  margin: 0;
}

.team-carousel {
  padding: 0 3rem 2rem 3rem;
  position: relative;
  z-index: 0;
  

  .card p {
    text-align: center;
    margin-top: 0;
  }

  .card h3 {
    margin-bottom: 0;
  }

  .card:hover {
    cursor: pointer;
  }
}

.team-modal {
  display: none;
  position: fixed;
  z-index: 998;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.7);
  justify-content: center;
  align-items: center;
  /* padding: 2rem 0; */
  
}

.team-modal {
  padding: 1rem;
  width: 100vw;
}

.team-modal-content {
  background: var(--muted);
  border-radius: var(--card-radius);
  max-width: 250px;
  box-shadow: var(--box-shadow);
  display: grid;
  grid-template-columns: 1fr;
  gap: calc(var(--gap)*2);
  position: relative;
  max-height: 90vh;
  overflow-y: auto;
  margin: 0;
  width: 100%;
  padding: 1.5rem;
} 

@media (min-width: 400px) {
  .team-modal-content {
    max-width: 350px;
  }
}

@media (min-width: 768px) {
  .team-modal {
    padding: 2rem 0;
  }

  .team-modal-content {
    max-width: 650px;
  }

  .team-modal-content {
    grid-template-columns: 250px 1fr;
    align-items: start;
    margin: 0 5vw;
    padding: 2rem;
  }
}

@media (min-width: 992px) {
  .team-modal-content {
    max-width: var(--max-width);
  }
}
.modal-text {
  display: flex;
  flex-direction: column;
  gap: 0.15rem;
  h2 p a {
    margin: 0;
    text-align: left;
  };
}

@media (min-width: 768px) {
  .modal-text {
    justify-content: center;
  }
}

.team-modal-content img {
  width: 100%;
  max-width: 250px;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  border-radius: var(--card-radius)
}

.team-modal-close {
  position: absolute;
  top: 1rem;
  right: 1.5rem;
  font-size: 1.75rem;
  cursor: pointer;
}

body.modal-open .navbar {
  position: static;
}

body.modal-open {
  overflow: hidden;
}



#modal-name {
  margin: 0;
  text-align: left;
  overflow-wrap: break-word;
  word-break: break-word;
}

#modal-title {
  font-size: 0.9rem;
  text-transform: uppercase;
  letter-spacing: 0.05em;
  color: #666;
  margin: 0;
  overflow-wrap: break-word;
  word-break: break-word;
}

#modal-bio {
  line-height: 1.4;
  font-size: smaller;
  overflow-wrap: break-word;
  word-break: break-word;
}

#modal-email {
  display: inline-block;
  margin: 0;
  color: var(--accent2);
  text-decoration: none;
  word-break: break-all;
}

.swiper {
  position: relative;
  z-index: 1;
}

.swiper-button-prev,
.swiper-button-next {
  color: var(--primary-light);
}

.swiper-button-prev:hover,
.swiper-button-next:hover {
  color: var(--accent2);
}

.swiper-pagination-bullet {
  background: var(--primary-light);
  opacity: 1;
}

.swiper-pagination-bullet-active {
  background: var(--accent2);
}

.swiper-slide {
  display: flex;
  justify-content: center;
  z-index: 1;
}

.headshot {
  aspect-ratio: 1 / 1; /* This makes the height equal to the width */
  object-fit: cover; /* Optional: ensures the image covers the entire area without stretching or distortion, cropping as needed */
}

/* NAVBAR see style-navbar.css */

/* FOOTER see style-footer.css */

/* HERO */

.hero{
  position:relative;
  display:flex;
  min-width: 100%;
  align-items:center;
  justify-content:center;
  background-image: url("https://staging.versatelsolutions.com/wp-content/uploads/2021/09/shutterstock_683659603.jpg");
  background-size: cover;
  background-position: 89% 72%;
  color:#fff;
  .hero-overlay{
    position:absolute;
    inset:0;
    background:rgba(0,0,0,0.25);
  }

  @media (min-width: 762px) {
    .hero { min-height: 90vh; }
  }
  .hero-content{
    position:relative;
    background:rgba(255,255,255,0.8);
    color:var(--text);
    padding:2.5rem;
    border-radius:8px;
    text-align:center;
    margin: 10vw;
  }
@media (min-width: 762px) {
  .hero-content {
    max-width: 75%;
  }
}
  @media (min-width: 992px) {
  .hero-content { max-width: 50%; }
}
}

.hero-about {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  .cta {
    margin-top: 1rem;
    font-size: 1.1rem;
    padding: 0.75rem 1.5rem;
  }
}

section .container {
  h2 {
    text-align: center;
    margin-bottom: 1.5rem;
  }
}

/* WHO WE ARE */
.who {
  .who-grid {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    text-align: left;
  }
  .who-image img {
display: none
  }
}


@media (min-width: 992px) {
.who {
  .who-grid {
    display: grid;
    grid-template-columns: 1fr 420px;
    gap: var(--gap);
    align-items: start;
    text-align: left;
  }
  .who-image img {
    display:block;
    width:100%;
    height:auto;
    border-radius:6px
  }
}
}


.container-button {
  padding: 4rem 20vw 0;
}

/* Features and Services */

.features {
  background-color: var(--primary);
  color: #fff;

  .fa {
    font-size: 3em;
    padding-top: .25em;
  }
}

/* Services */
.services{
  margin-bottom: 4rem;
  text-align: center;
}

/* Features (3 columns) */

.flex-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: stretch;
  gap: var(--gap) var(--gap);

  blockquote {
    margin: 0;
  }

  .flex-card {
    background: transparent;
    padding: 1.25rem;
    text-align: center;
    border-style: solid;
    border-radius: 12px;
    box-shadow: var(--box-shadow);
    transition: .5s;

    i {
      color: white;
    }

    p { 
      color: var(--muted);
      text-align: left;
    }
  }

  .flex-item {
    width: 300px;

    flex-item-header {
      min-height: 5rem;
      margin-top: 1rem;
    }
  }

  .flex-item:hover {
    border-color: var(--primary);
  }
}

/* .features-grid {
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:var(--gap);

  .feature {
    background: transparent;
    padding: 1.25rem;
    text-align: center;
    border-style: solid;
    border-color: var(--primary-light);
    border-radius: 12px;
    box-shadow: var(--box-shadow);
    transition: .5s;

    .features-head {
      min-height: 5rem;
      margin-top: 1rem;
    }

    p { 
      color: var(--muted);
      text-align: left;
    }

  } 

  .feature:hover {
    border-color: var(--primary);
  }
}


/* Team */

.center {
  text-align: center;
}

.team .center {
  text-align:center;
  max-width:800px;
  margin:0.75rem auto 2rem
}

/* .team-grid {
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:var(--gap);
  padding-top: var(--gap);
} */

.card-narrow {
  width: 300px;
}

.card {
  background:#fff;
  border-radius:12px;
  border-style: none;
  padding:18px;
  text-align:left;
  box-shadow:0 2px 6px rgba(7,54,116,0.05);
  /* width: 300px; */
  img {
    width: 100%;
    border-radius: 8px;
  }
  i {
    font-size: 2rem;
    color: var(--accent2);
    margin-bottom: 0.5rem;
    display: block;
    text-align: center;
  }
  h3 {
    text-align: center;
    margin-bottom: 1rem;
  }
  h4 {
    margin: 12px 0 6px;
  }
  footer {
      display: flex;
      align-items: center;
      gap: var(--gap);
      margin-top: 1rem;

      img {
        width: 50px;
        height: 50px;
        border-radius: 50%;
        object-fit: cover;
      }
      .test-name {
        text-align: left;
      }

      span {
        font-size: 0.75em;
      }
    }
  transition: 1s;
}

.card:hover {
  box-shadow:0 2px 6px var(--primary);
}
.role{color:#666;font-size:0.85rem;text-transform:uppercase;letter-spacing:0.04em}

/* Testimonials */
.testimonials{
  background:rgba(7,54,116,0.05);
  margin-bottom: 0;
  
/*   h4 {
    color: #666;
    margin: 0 0 .5rem;
  } */
/*   h2 {
    margin: 0 0 1.25rem;
  } */
/*   .test-grid {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: var(--gap);
  } */

  /* blockquote {
    background-color: #fff;
    padding: 1.2rem;
    border-radius: 12px;
    box-shadow: 0 2px 6px rgba(7,54,116,0.04); */

    /* footer {
      display: flex;
      align-items: center;
      gap: var(--gap);
      margin-top: 1rem;

      img {
        width: 50px;
        height: 50px;
        border-radius: 50%;
        object-fit: cover;
      }
      .test-name {
        text-align: left;
      }

      span {
        font-size: 0.75em;
      }
    } */
/*   } */
}

/* CTA */
/* .cta {background:var(--primary);color:#fff;padding:3rem 0} */
.cta-inner{text-align:center;max-width:900px;margin:0 auto;padding:1rem}
.cta h2{margin:0 0 0.5rem}


/* Responsive */


.contact-card {
  max-width: 400px;
  margin: 60px auto; /* centers horizontally + adds vertical space */
  padding: 30px;
  text-align: left;
  background-color: var(--primary);
  color: var(--muted);
  border-radius: var(--card-radius);
  box-shadow: var(--box-shadow);
}

.contact-card span {
  display: flex;              /* aligns icon + text */
  align-items: center;
  justify-content: left;    /* keeps everything centered */
  gap: 10px;                  /* space between icon and text */
  margin-bottom: 12px;
  font-size: 1.1rem;
}

.contact-card i {
  font-size: 1.2rem;
}

.contact-card span:last-child {
  margin-bottom: 0;        /* removes extra space at bottom */
}

#contact-container {
  margin-bottom: 0;
  padding-bottom: 0;
}

.permalink-title {
  color: var(--primary);
  text-decoration: none;
}

.permalink-title:hover {
  color: var(--accent2);
  cursor: pointer;
}

.post-grid .flex-card {
  background-color: var(--primary-light);
}

.post-grid .flex-item p {
  color: var(--primary)
}

.post-grid .flex-card:hover {
  background-color: var(--primary);
  color: var(--primary-light);
  .permalink-title {
    border-color: var(--accent2);
    border-radius: var(--card-radius);
    background-color: var(--accent2);
    box-shadow: var(--box-shadow);
    padding: .5em;
  }
  .flex-item p {
    color: var(--primary-light);
  }
}